% plots of germination data for the EGOM fits light conditions

clf
clear all
ms = 6;

%2 deg. 
load ../data/egom2l;

subplot(2,3,1)
set(gca,'fontsize',7)
aa = find((egom2l(:,1) <= 75) & (egom2l(:,2) <= 90));
bb = find((egom2l(:,1) > 75) | (egom2l(:,2) > 90));
plot(egom2l(aa,1),egom2l(aa,2),'o','MarkerFaceColor',[0 0 0],'MarkerEdgeColor',[0 0 0],'MarkerSize',ms);
hold on
plot(egom2l(bb,1),egom2l(bb,2),'o','MarkerFaceColor',[1 1 1],'MarkerEdgeColor',[0 0 0],'MarkerSize',ms);
tt = title('EGOM light, 2C, slope = 1.74');
set(tt,'fontsize',9)
xlabel('days')
ylabel('% germinated');
a = [1.74 -11.43];
x = [0:80];
y = polyval(a,x);
d = plot(x,y,'k-');
set(d,'LineWidth',2);
axis([0 100 0 110]);
set(gca,'XTick',[0 25 50 75 100]);
grid on

%4 deg.
load ../data/egom4l;

subplot(2,3,2)
set(gca,'fontsize',7)
aa = find((egom4l(:,1) <= 75) & (egom4l(:,2) <= 90));
bb = find((egom4l(:,1) > 75) | (egom4l(:,2) > 90));
plot(egom4l(aa,1),egom4l(aa,2),'o','MarkerFaceColor',[0 0 0],'MarkerEdgeColor',[0 0 0],'MarkerSize',ms);
hold on
plot(egom4l(bb,1),egom4l(bb,2),'o','MarkerFaceColor',[1 1 1],'MarkerEdgeColor',[0 0 0],'MarkerSize',ms);
tt = title('EGOM light, 4C, slope = 1.74');
set(tt,'fontsize',9)
xlabel('days')
ylabel('% germinated');
a = [1.74 -6.24];
x = [0:80];
y = polyval(a,x);
d = plot(x,y,'k-');
set(d,'LineWidth',2);
axis([0 100 0 110]);
set(gca,'XTick',[0 25 50 75 100]);
grid on

%6 deg.
load ../data/egom6l;

subplot(2,3,3)
set(gca,'fontsize',7)
aa = find((egom6l(:,1) <= 75) & (egom6l(:,2) <= 90));
bb = find((egom6l(:,1) > 75) | (egom6l(:,2) > 90));
plot(egom6l(aa,1),egom6l(aa,2),'o','MarkerFaceColor',[0 0 0],'MarkerEdgeColor',[0 0 0],'MarkerSize',ms);
hold on
plot(egom6l(bb,1),egom6l(bb,2),'o','MarkerFaceColor',[1 1 1],'MarkerEdgeColor',[0 0 0],'MarkerSize',ms);
tt = title('EGOM light, 6C, slope = 1.58');
set(tt,'fontsize',9)
xlabel('days')
ylabel('% germinated');
a = [1.58 -1.09];
x = [0:80];
y = polyval(a,x);
d = plot(x,y,'k-');
set(d,'LineWidth',2);
axis([0 100 0 110]);
set(gca,'XTick',[0 25 50 75 100]);
grid on

%8 deg.
load ../data/egom8l 

subplot(2,3,4)
set(gca,'fontsize',7)
aa = find((egom8l(:,1) <= 75) & (egom8l(:,2) <= 90));
bb = find((egom8l(:,1) > 75) | (egom8l(:,2) > 90));
plot(egom8l(aa,1),egom8l(aa,2),'o','MarkerFaceColor',[0 0 0],'MarkerEdgeColor',[0 0 0],'MarkerSize',ms);
hold on
plot(egom8l(bb,1),egom8l(bb,2),'o','MarkerFaceColor',[1 1 1],'MarkerEdgeColor',[0 0 0],'MarkerSize',ms);
tt = title('EGOM light, 8C, slope = 4.03');
set(tt,'fontsize',9)
xlabel('days')
ylabel('% germinated');
a = [4.03 -7.93];
x = [0:80];
y = polyval(a,x);
d = plot(x,y,'k-');
set(d,'LineWidth',2);
axis([0 100 0 110]);
set(gca,'XTick',[0 25 50 75 100]);
grid on

%15 deg.
load ../data/egom15l

subplot(2,3,5)
set(gca,'fontsize',7)
aa = find((egom15l(:,1) <= 75) & (egom15l(:,2) <= 90));
bb = find((egom15l(:,1) > 75) | (egom15l(:,2) > 90));
plot(egom15l(aa,1),egom15l(aa,2),'o','MarkerFaceColor',[0 0 0],'MarkerEdgeColor',[0 0 0],'MarkerSize',ms);
hold on
plot(egom15l(bb,1),egom15l(bb,2),'o','MarkerFaceColor',[1 1 1],'MarkerEdgeColor',[0 0 0],'MarkerSize',ms);
tt = title('EGOM light, 15C, slope = 8.72');
set(tt,'fontsize',9)
xlabel('days')
ylabel('% germinated');
a = [8.72 -6.32];
x = [0:80];
y = polyval(a,x);
d = plot(x,y,'k-');
set(d,'LineWidth',2);
axis([0 100 0 110]);
set(gca,'XTick',[0 25 50 75 100]);
grid on
