% plots of germination data for the WGOM in light conditions

clf
clear all
ms = 6;
%2 deg. 
load ../data/amy2l;

subplot(2,2,1)
set(gca,'fontsize',9)
aa = find((lgt2(:,1) <= 75) & (lgt2(:,2) <= 90));
bb = find((lgt2(:,1) > 75) | (lgt2(:,2) > 90));
plot(lgt2(aa,1),lgt2(aa,2),'o','MarkerFaceColor',[0 0 0],'MarkerEdgeColor',[0 0 0],'MarkerSize',ms);
hold on
plot(lgt2(bb,1),lgt2(bb,2),'o','MarkerFaceColor',[1 1 1],'MarkerEdgeColor',[0 0 0],'MarkerSize',ms);
tt = title('WGOM light, 2C, slope = 0.89');
set(tt,'FontSize',9)
xlabel('days')
ylabel('% germinated');
a = [0.89 -1.25];
x = [0:80];
y = polyval(a,x);
d = plot(x,y,'k-');
set(d,'LineWidth',2);
axis([0 100 0 110]);
set(gca,'XTick',[0 25 50 75 100],'Fontname','Times-Roman');
grid on

%4 deg.
load ../data/amy4l;

subplot(2,2,2)
set(gca,'fontsize',9)
aa = find((lgt4(:,1) <= 75) & (lgt4(:,2) <= 90));
bb = find((lgt4(:,1) > 75) | (lgt4(:,2) > 90));
plot(lgt4(aa,1),lgt4(aa,2),'o','MarkerFaceColor',[0 0 0],'MarkerEdgeColor',[0 0 0],'MarkerSize',ms);
hold on
plot(lgt4(bb,1),lgt4(bb,2),'o','MarkerFaceColor',[1 1 1],'MarkerEdgeColor',[0 0 0],'MarkerSize',ms);
tt = title('WGOM light, 4C, slope = 1.69');
set(tt,'FontSize',9)
xlabel('days')
ylabel('% germinated');
a = [1.69 0.28];
x = [0:80];
y = polyval(a,x);
d = plot(x,y,'k-');
set(d,'LineWidth',2);
axis([0 100 0 110]);
set(gca,'XTick',[0 25 50 75 100],'Fontname','Times-Roman');
grid on

%6 deg.
load ../data/amy6l;

subplot(2,2,3)
set(gca,'fontsize',9)
aa = find((lgt6(:,1) <= 75) & (lgt6(:,2) <= 90));
bb = find((lgt6(:,1) > 75) | (lgt6(:,2) > 90));
plot(lgt6(aa,1),lgt6(aa,2),'o','MarkerFaceColor',[0 0 0],'MarkerEdgeColor',[0 0 0],'MarkerSize',ms);
hold on
plot(lgt6(bb,1),lgt6(bb,2),'o','MarkerFaceColor',[1 1 1],'MarkerEdgeColor',[0 0 0],'MarkerSize',ms);
tt = title('WGOM light, 6C, slope = 2.03');
set(tt,'FontSize',9)
xlabel('days')
ylabel('% germinated');
a = [2.03 -1.51];
x = [0:80];
y = polyval(a,x);
d = plot(x,y,'k-');
set(d,'LineWidth',2);
axis([0 100 0 110]);
set(gca,'XTick',[0 25 50 75 100],'Fontname','Times-Roman');
grid on

%6 deg.
load ../data/amy8l

subplot(2,2,4)
set(gca,'fontsize',9)
aa = find((lgt8(:,1) <= 75) & (lgt8(:,2) <= 90));
bb = find((lgt8(:,1) > 75) | (lgt8(:,2) > 90));
plot(lgt8(aa,1),lgt8(aa,2),'o','MarkerFaceColor',[0 0 0],'MarkerEdgeColor',[0 0 0],'MarkerSize',ms);
hold on
plot(lgt8(bb,1),lgt8(bb,2),'o','MarkerFaceColor',[1 1 1],'MarkerEdgeColor',[0 0 0],'MarkerSize',ms);
tt = title('WGOM light, 8C, slope = 6.55');
set(tt,'FontSize',9)
xlabel('days')
ylabel('% germinated');
a = [6.55 -11.77];
x = [0:80];
y = polyval(a,x);
d = plot(x,y,'k-');
set(d,'LineWidth',2);
axis([0 100 0 110]);
set(gca,'XTick',[0 25 50 75 100],'Fontname','Times-Roman');
grid on
