%
% load data
%

% germination data 

load ../data/bruce2d;
load ../data/bruce5d;
load ../data/bruce9d;
load ../data/bruce15d;
load ../data/bruce15l;

% fluorescence data 

load ../data/bruce2d_fl;
load ../data/bruce5d_fl;
load ../data/bruce9d_fl;
load ../data/bruce15d_fl;
load ../data/bruce15l_fl;
 
clf

% fluorescence plots

subplot(2,2,1)
hold on
set(gca,'Fontname','Times-Roman');
a = title('Fluorescence in dark, st. 29');
set(a,'FontSize',10);
plot(bruce2d_fl(:,1),bruce2d_fl(:,2),'Color',[0 0 0],'LineStyle','-','Marker','o','MarkerSize',7,'MarkerFaceColor',[0 0 0],'LineWidth',0.7);
plot(bruce5d_fl(:,1),bruce5d_fl(:,2),'Color',[0 0 0],'LineStyle','-','Marker','s','MarkerSize',7,'MarkerFaceColor',[0 0 0],'LineWidth',0.7);
plot(bruce9d_fl(:,1),bruce9d_fl(:,2),'Color',[0 0 0],'LineStyle','-','Marker','s','MarkerSize',7,'LineWidth',0.7);
plot(bruce15d_fl(:,1),bruce15d_fl(:,2),'Color',[0 0 0],'LineStyle','-','Marker','v','MarkerSize',7,'MarkerFaceColor',[0 0 0],'LineWidth',0.7);

b = ylabel('% fluorescence');
set(b,'FontSize',10);
b = xlabel('days');
set(b,'FontSize',10);
axis([0 200 0 100]);
legend('2 deg. C','5 deg. C','8-10 deg. C','15 deg. C',1);

subplot(2,2,2)
hold on
set(gca,'Fontname','Times-Roman');
a = title('Fluorescence with light, st. 29');
set(a,'FontSize',10);
plot(bruce15l_fl(:,1),amy2l_fl(:,2),'Color',[0.5 0.5 0.5],'LineStyle','-','Marker','o','MarkerSize',7,'MarkerFaceColor',[0.5 0.5 0.5],'LineWidth',0.7);
plot(-100,-100,'Color',[0.5 0.5 0.5],'LineStyle','-','Marker','v','MarkerSize',7,'MarkerFaceColor',[0.5 0.5 0.5],'LineWidth',0.7);
b = ylabel('% fluorescence');
set(b,'FontSize',10);
axis([0 50 0 100]);

b = ylabel('% fluorescence');
set(b,'FontSize',10);
b = xlabel('days');
set(b,'FontSize',10);
axis([0 50 0 100]);
legend('15 deg. C',4);

subplot(2,2,3)
hold on
set(gca,'Fontname','Times-Roman');
a = title('Germination in dark, st. 29');
set(a,'FontSize',10)
plot(bruce2d(:,1),bruce2d(:,2),'Color',[0 0 0],'LineStyle','-','Marker','o','MarkerSize',7,'MarkerFaceColor',[0 0 0],'LineWidth',0.7);
plot(bruce5d(:,1),bruce5d_fl(:,2),'Color',[0 0 0],'LineStyle','-','Marker','s','MarkerSize',7,'MarkerFaceColor',[0 0 0],'LineWidth',0.7);
plot(bruce9d_fl(:,1),bruce9d(:,2),'Color',[0 0 0],'LineStyle','-','Marker','s','MarkerSize',7,'LineWidth',0.7);
plot(bruce15d(:,1),bruce15d(:,2),'Color',[0 0 0],'LineStyle','-','Marker','v','MarkerSize',7,'MarkerFaceColor',[0 0 0],'LineWidth',0.7);

b = ylabel('% germination');
set(b,'FontSize',10);
b = xlabel('days');
set(b,'FontSize',10);
axis([0 200 0 100]);

subplot(2,2,4)
hold on
set(gca,'Fontname','Times-Roman');
a = title('Germination with light, st. 29');
set(a,'FontSize',10); 
plot(egom15l(:,1),egom15l(:,2),'Color',[0.5 0.5 0.5],'LineStyle','-','Marker','o','MarkerSize',7,'MarkerFaceColor',[0.5 0.5 0.5],'LineWidth',0.7);

b = ylabel('% germination');
set(b,'FontSize',10);
b = xlabel('days');
set(b,'FontSize',10);
axis([0 50 0 100]);
