% This code determines the growth efficiency parameter "alpha".  I ended up
% relying exclusively on data from John Cullen because the light response
% at low light levels was very finely resolved.  This fine resolution was
% critical to getting reliable estimates of light related parameters -
% particularly for calculation of the maintenance respiration rate, but
% also for the growth efficiency (Personal communication w/John Cullen)
%
% Charlie Stock
% cstock@alum.mit.edu
%

% John's estimates of the growth efficiency for 6 strains of A. fundyense
Cullen = [0.0098 0.0140 0.0079 0.0065 0.0083 0.0061];
% alpha's here are in d-1 (umol m-2 s-1)-1, 1 umol m-2 s-1 = 0.24 W, or 
% 1W = 4.15 umol m-2 s-1, conversion from Kirk.
FC = (2.5e18/6.02e17);
Cullen = FC*Cullen;
alpha_cullen = mean(Cullen);

% uncertainty around the mean
std_cullen = std(Cullen);
