% Calculate the maintenance respiration rate (mu_r)
% based on data from Cullen et al. .  The fine resolution of the Cullen
% measurements was critical for reliable constraint of this parameters.
%
% Charlie Stock
% cstock@alum.mit.edu
%

gross_growth = [0.6088 0.5987 0.6715 0.6612 0.5382 0.6197];
alpha = [0.0098 0.0079 0.0083 0.0140 0.0065 0.0061];
Ec = [19.5 22.0 29.0 22.0 29.0 28.0];
mu_r = gross_growth.*tanh(alpha.*Ec./gross_growth);

mean(mu_r)
std(mu_r)

% check by calculating another way
net_growth = [0.4238 0.4296 0.4406 0.3737 0.3570 0.4531];
dif = gross_growth - net_growth;
mean(dif)
std(dif)
